<template>
  <b-container>
    <h1 class="bg-dark text-white text-center py-4 mb-4 h2">
      Our Team
    </h1>
    <team-list
      :members="internalTeam"
      title="Internal"
    />
    <team-list
      :members="externalTeam"
      title="External"
    />
  </b-container>
</template>

<script lang="ts">
import Vue from 'vue';
import { Member } from '@/common/types';
import TeamList from '@/components/TeamList.vue';
import team from '@/data/team.json';

function getLastName(name: string): string {
  return (name.split(' ').pop() || '').toLowerCase();
}

function sortTeamMembers(members: Member[]): Member[] {
  return [...members].sort(
    (a, b) => (getLastName(a.name) > getLastName(b.name) ? 1 : -1),
  );
}

export default Vue.extend({
  components: {
    TeamList,
  },

  data() {
    return {
      team,
    };
  },

  computed: {
    internalTeam(): Member[] {
      return sortTeamMembers(this.team.internal);
    },
    externalTeam(): Member[] {
      return sortTeamMembers(this.team.external);
    },
  },
});
</script>

<style>
.member h3 {
  font-size: 1.5rem;
}
.member h4 {
  font-size: 1rem;
}
.member p {
  font-size: 0.9rem;
}
.member img {
  order: -1;
  width: 80%;
}
</style>
